Package org.eclipse.net4j.util.concurrent

## Interface MonitoredThread.ThreadMonitor

- All Known Implementing Classes:
    `MonitoredThread.MultiThreadMonitor`
  Enclosing class:
    MonitoredThread

      public static interface MonitoredThread.ThreadMonitor

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handleFinished​(MonitoredThread thread)` |
    `void` | `handleStarting​(MonitoredThread thread)` |

- - ### Method Detail

    - #### handleStarting

          void handleStarting​(MonitoredThread thread)

    - #### handleFinished

          void handleFinished​(MonitoredThread thread)